from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XImageProducer(XInterface, Protocol):
    def addConsumer(self, xConsumer: XImageConsumer) -> None: ...
    def removeConsumer(self, xConsumer: XImageConsumer) -> None: ...
    def startProduction(self) -> None: ...
